cannot install emacs/emacs-cvs with X use

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

cannot install emacs/emacs-cvs with X use

Kappa
Hello,
  after reinstall my system, I can emerge neither emacs nor emacs-cvs
successfully on my gentoo. when proceeded to the working fork check,
it stops and hangs over, never go ahead.

build.log:
http://dpaste.com/hold/47083/

and here it is emerge --info:
http://dpaste.com/hold/47084/

I can only USE="-X" emerge app-editors/emacs-cvs, but I don't know
why, other programs emerge well.

config.log is too large to send to dpaste.com, I've attached it, hope
someone can help me, thanks in advance.

config.log.tar.gz (27K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: cannot install emacs/emacs-cvs with X use

Jorge Morais-3
On Sun, 24 May 2009 08:44:32 +0800
Kevin <[hidden email]> wrote:

> Hello,
>   after reinstall my system, I can emerge neither emacs nor emacs-cvs
> successfully on my gentoo. when proceeded to the working fork check,
> it stops and hangs over, never go ahead.
>
> build.log:
> http://dpaste.com/hold/47083/
>
> and here it is emerge --info:
> http://dpaste.com/hold/47084/
>
> I can only USE="-X" emerge app-editors/emacs-cvs, but I don't know
> why, other programs emerge well.
>
> config.log is too large to send to dpaste.com, I've attached it, hope
> someone can help me, thanks in advance.
Could you try the version app-editors/emacs-cvs-23.0.93 ?
That is the one I have here (23.0.94 entered Portage very very recently),
and it works well.
It could make things easier to compare.
It would make it even easier if you used the same USE flags as me.
You can see the USE flags I use to build emacs here:
$ emerge -pqv =app-editors/emacs-cvs-23.0.93
[ebuild   R   ] app-editors/emacs-cvs-23.0.93  USE="X alsa dbus gif gpm gtk gzip-el jpeg png sound spell svg tiff toolkit-scroll-bars xpm -Xaw3d -hesiod -kerberos -m17n-lib -motif -source -xft"

Also, it seems you have interrupted the process with a SIGINT.
Are you sure it was hung? How  much did you wait? Did you use top
to see if there was some process making heavy use of the processor?

Reply | Threaded
Open this post in threaded view
|

Re: cannot install emacs/emacs-cvs with X use

Zsitvai János
In reply to this post by Kappa
Kevin wrote:
> and here it is emerge --info:
> http://dpaste.com/hold/47084/

According to http://bugs.gentoo.org/267053, downgrading sandbox to version
1.7 should work around the problem until it is fixed properly.




Reply | Threaded
Open this post in threaded view
|

Re: Re: cannot install emacs/emacs-cvs with X use

Kappa
I've downgrade sandbox & it works, thanks both of you.

On Sun, May 24, 2009 at 8:39 PM, Zsitvai János <[hidden email]> wrote:

> Kevin wrote:
>> and here it is emerge --info:
>> http://dpaste.com/hold/47084/
>
> According to http://bugs.gentoo.org/267053, downgrading sandbox to version
> 1.7 should work around the problem until it is fixed properly.
>
>
>
>
>